@charset "UTF-8";
header{
    height:100dvh;
    min-height:600px;

    & .swiper-wrapper{
        height:inherit;
        min-height:inherit;

        & .swiper-slide{
            height:inherit;
            min-height:inherit;
            overflow:hidden;

            & .solar{
                position:absolute;
                top:0;
                left:0;
                z-index:1;
            }

            & .background{
                position:absolute;
                top:0;
                left:0;
                z-index:-1;
            }
        }
    }
}

#homeServices{
    position:relative;

    & h6{
        margin-left:auto;
        margin-right:auto;
    }

    & .img-float{
        top:15%;
        left:15%;
    }
}

#homeChoose{
    position:relative;

    & .left{
        padding-right:2rem;

        & h2{
            margin-bottom:3rem;
        }

        & h5{
            text-transform: capitalize;
        }
    }

    & .right{
        position:relative;
        z-index:1;

        & .row{ height:100%; }

        & > .row{
            & > figure{
                height:100%;
            }

            & .box{
                padding:0 1rem;
                height:50%;
                display:flex;
                flex-flow:column nowrap;
                justify-content:center;

                &.header{
                    position:relative;
                    overflow:hidden;

                    & > span{
                        &:first-of-type{ color:#fff; }

                        &:last-of-type{
                            -webkit-text-stroke-color:#fff;
                        }
                    }

                    & > .img-float{
                        top:5%;
                        right:5%;
                    }
                }

                & > h4{
                    font-weight:700;
                    text-transform:capitalize;
                }
            }
        }
    }

    &::after,
    &::before{
        content:"";
        width:50%;
        height:50%;
        position:absolute;
        right:0;
        z-index:0;
    }

    &::before{
        background-color:var(--secondary-alt-color);
        top:0;
    }

    &::after{
        background-color:#fff;
        bottom:0;
    }
}

#homeBlog{
    & h6{
        margin-right:auto;
        margin-left:auto;
    }
}

#homeContact{
    & form{
        margin-top:3rem;
    }
}

@media(max-width:1199px){
    #homeChoose{
        & .left{
            & .icon{
                margin-bottom:1rem;
            }
        }

        & .right{
            & > .row{
                & .col-12{
                    &:first-child{
                        display:none;
                    }
                }
            }
        }
    }
}

@media(max-width:991px){
    #homeServices{
        & .img-float{
            top:5%;
            left:5%;
        }
    }

    #homeChoose{
        & .left{
            & .icon{
                margin-bottom:0;
            }
        }

        & .right{
            & > .row{
                & .box{
                    padding:1.5rem;
                    height:auto;
                    min-height:350px;
                }
            }
        }

        &::after,
        &::before{
            width:0;
            height:0;
        }
    }

    #homeContact{
        & h6{
            margin-top:3rem;
        }
    }
}

@media(max-width:767px){
    #homeContact{
        & .box{
            & figure{
                margin-bottom:1.5rem;
            }
        }
    }
}

@media(max-width:575px){
    #homeChoose{
        & .left{
            padding-right:var(--zeta-density-1);

            & .icon{
                margin-bottom:1rem;
            }
        }
    }
}